Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni.parser
Interface XMLComponent

All Known Implementing Classes:
  XML11DocumentScannerImpl, XML11DTDScannerImpl, XML11EntityManager, XMLDocumentFragmentScannerImpl, XMLDocumentScannerImpl, XMLDTDLoader, XMLDTDProcessor, XMLDTDScannerImpl, XMLDTDValidator, XMLEntityManager, XMLErrorReporter, XMLNamespaceBinder, XMLScanner, XMLSchemaValidator

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XMLComponent

The component interface defines methods that must be implemented by components in a parser configuration. The component methods allow the component manager to initialize the component state and notify the component when feature and property values change.

See Also:
  `XMLComponentManager`

Method Summary
`String[]` | `getRecognizedFeatures()` Deprecated. Returns a list of feature identifiers that are recognized by this component.
`String[]` | `getRecognizedProperties()` Deprecated. Returns a list of property identifiers that are recognized by this component.
`void` | `reset(XMLComponentManager componentManager)` Deprecated. Resets the component.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Sets the state of a feature.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Sets the value of a property.

Method Detail

### reset

    void reset(XMLComponentManager componentManager)
               throws XMLConfigurationException

  Deprecated.
  Resets the component. The component can query the component manager about any features and properties that affect the operation of the component.

  Parameters:
    `componentManager` - The component manager.
  Throws:
    `XNIException` - Thrown by component on initialization error.
    `XMLConfigurationException`

### getRecognizedFeatures

    String[] getRecognizedFeatures()

  Deprecated.
  Returns a list of feature identifiers that are recognized by this component. This method may return null if no features are recognized by this component.

### setFeature

    void setFeature(String featureId,
                    boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Sets the state of a feature. This method is called by the component manager any time after reset when a feature changes state.

  Note: Components should silently ignore features that do not affect the operation of the component.

  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### getRecognizedProperties

    String[] getRecognizedProperties()

  Deprecated.
  Returns a list of property identifiers that are recognized by this component. This method may return null if no properties are recognized by this component.

### setProperty

    void setProperty(String propertyId,
                     Object value)
                     throws XMLConfigurationException

  Deprecated.
  Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

  Note: Components should silently ignore properties that do not affect the operation of the component.

  Parameters:
    `propertyId` - The property identifier.
    `value` - The value of the property.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD